# Migration play
# vim:et ts=2 sw=2 sts=2 syntax=yaml filetype=yaml
# - Redact libphpX_module configurations that were
#   commented out from weak match in RPM scriptlet
---
- block:
    - name: Update MariaDB UMASK
      include_role: name=mysql/install
    - name: Mass chmod
      shell: >-
        find {{ apnscp_account_root }}/site*/shadow/var/lib/mysql/ -mindepth 2 -type f -exec chmod -c g=,o= "{}" \;
      register: o
      changed_when: o.stdout != ''
      failed_when: false
    - name: Lazy-load {{ item }}
      include_role: name="{{ item }}"
      with_items:
        - software/nvm
        - software/rbenv
    - name: Rebuild PHP-FPM service templates
      command: EditDomain --reconfig --all
      ignore_errors: yes
    - name: Update oniguruma
      yum: name=oniguruma state=latest update_cache=yes
    - name: Symlink oniguruma .5 to .2
      file:
        path: "{{ item }}/usr/lib64/libonig.so.2"
        src: /usr/lib64/libonig.so.5
        state: link
      with_items:
        - ""
        - "{{ apnscp_filesystem_template }}/siteinfo"
      ignore_errors: yes
      notify: Reload filesystem template
  tags: up
